<?php

header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../config/database.php'; 
include_once '../objects/reservation.php'; 
include_once '../config/_globle.php';

$database = new Database();
$db = $database->getConnection();

$reservation = new Reservation($db);

$stmt = $reservation->getAttendance();
$num = $stmt->rowCount();

$response = array();
$response["records"] = array();

if ($num > 0) {

    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        extract($row); 

        $item = array(
            "name" => $name, 
            "din" => ($din != "") ? date('h:i A', strtotime($din)) : "",
            "dp" => ($dp != "") ? $app_url . 'api/attendance/upload/' . $staff_id . '/' . $dp : $app_url . 'img/dummy_user.png',
        );


        array_push($response["records"], $item);
    }
}


http_response_code(200);
echo json_encode($response);
?>
